Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 230587 - portage-2.2_rc1: preserve-libs failure with x11-libs/qt-4.4.0
Summary: portage-2.2_rc1: preserve-libs failure with x11-libs/qt-4.4.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 210077
  Show dependency tree
 
Reported: 2008-07-02 23:41 UTC by Alexandre Rostovtsev (RETIRED)
Modified: 2008-08-12 17:48 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Rostovtsev (RETIRED) gentoo-dev 2008-07-02 23:41:20 UTC
Used portage-2.2_rc1 to upgrade qt-4.3.4 to qt-4.4.0 (I know, it's masked).
I have FEATURES="preserve-libs".

Portage reports that
!!! existing preserved libs:
>>> package: x11-libs/qt-4.4.0
 *  - /usr/lib/qt4/libQt3Support.so.4.3
 *  - /usr/lib/qt4/libQtCore.so.4.3
 *  - /usr/lib/qt4/libQtDBus.so.4.3
 *  - /usr/lib/qt4/libQtDesigner.so.4.3
 *  - /usr/lib/qt4/libQtDesignerComponents.so.4.3
 *  - /usr/lib/qt4/libQtGui.so.4.3
 *  - /usr/lib/qt4/libQtNetwork.so.4.3
 *  - /usr/lib/qt4/libQtScript.so.4.3
 *  - /usr/lib/qt4/libQtSql.so.4.3
 *  - /usr/lib/qt4/libQtSvg.so.4.3
 *  - /usr/lib/qt4/libQtTest.so.4.3
 *  - /usr/lib/qt4/libQtXml.so.4.3
 *  - /usr/lib/qt4/libQt3Support.so.4.3.4
 *  - /usr/lib/qt4/libQtCore.so.4.3.4
 *  - /usr/lib/qt4/libQtDBus.so.4.3.4
 *  - /usr/lib/qt4/libQtDesigner.so.4.3.4
 *  - /usr/lib/qt4/libQtDesignerComponents.so.4.3.4
 *  - /usr/lib/qt4/libQtGui.so.4.3.4
 *  - /usr/lib/qt4/libQtNetwork.so.4.3.4
 *  - /usr/lib/qt4/libQtScript.so.4.3.4
 *  - /usr/lib/qt4/libQtSql.so.4.3.4
 *  - /usr/lib/qt4/libQtSvg.so.4.3.4
 *  - /usr/lib/qt4/libQtTest.so.4.3.4
 *  - /usr/lib/qt4/libQtXml.so.4.3.4

which should not be happening, because the sonames only changed from *.so.4.3.4 to *.so.4.4.0, and should be ABI-compatible.

Well, it gets worse. I try to do emerge -pv @preserved-rebuild
I get a bunch of packages (including *all* the parts of qt-4.4.0, for some reason). But rerging those packages does not remove them from the @preserved-rebuild list!

In other words, for example, (among other packages) x11-libs-qt-core-4.4.0 and dev-util/qgit-2.1 are in the @preserved-rebuild list, but after rebuilding them, they are still in the @preserved-rebuild list.

I wonder, is there some way to manually edit the @preserved-rebuild list to prevent portage from going crazy...


# emerge --info
Portage 2.2_rc1 (default-linux/x86/2007.0/desktop, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.25-gentoo-r6 i686)
=================================================================
System uname: Linux-2.6.25-gentoo-r6-i686-Intel-R-_Pentium-R-_M_processor_1.60GHz-with-glibc2.0
Timestamp of tree: Wed, 02 Jul 2008 21:36:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.4.4-r13, 2.5.2-r5
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
dev-util/confcache:  0.4.2-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.62-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.16.1-r3, 2.17-r2, 2.18-r2
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium-m -O2 -pipe -frename-registers"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/NX/etc /usr/NX/home /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=pentium-m -O2 -pipe -frename-registers"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,--as-needed -Wl,-O1"
LINGUAS="C en POSIX ru"
MAKEOPTS="-j2"
Comment 1 Matteo Sasso 2008-07-13 23:46:23 UTC
Same problem here, the list got shorter after I remerged some packages (for other reasons). Now I have:
 *  - /usr/lib/qt4/libQtCore.so.4.3
 *  - /usr/lib/qt4/libQtDBus.so.4.3
 *  - /usr/lib/qt4/libQtNetwork.so.4.3
 *  - /usr/lib/qt4/libQtSql.so.4.3
 *  - /usr/lib/qt4/libQtXml.so.4.3
 *  - /usr/lib/qt4/libQtCore.so.4.3.4
 *  - /usr/lib/qt4/libQtDBus.so.4.3.4
 *  - /usr/lib/qt4/libQtNetwork.so.4.3.4
 *  - /usr/lib/qt4/libQtSql.so.4.3.4
 *  - /usr/lib/qt4/libQtXml.so.4.3.4


revdep-rebuild --library=/usr/lib/qt4/libQtCore.so.4.3.4
doesn't report any problems so I'm left wondering what's wrong.
I also did an
emerge @preserved-rebuild
but, as you can see, it didn't completely fix the problem.
Comment 2 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2008-08-12 13:02:12 UTC
Does it work now with the update to qt-4.4.1?
There were still a few packages in the tree that had not been updated to split qt.
Comment 3 Zac Medico gentoo-dev 2008-08-12 17:48:28 UTC
I think this was fixed with revision 11200 which was release in 2.2_rc2:

http://sources.gentoo.org/viewcvs.py/portage?view=rev&rev=11200

Please reopen if the problem persists.